package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunSG_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_SG_Loading", 11, true);
		{//start
			mod.dollgun_m1014	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1014")
					.setRegistryName(mod.MOD_ID, "dollgun_m1014").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1014;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/m1014.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/m1014.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1014;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1014);
		    {
				 mod.core_m1014	= new ItemDollCore(130, mod.dollgun_m1014,  null).setUnlocalizedName("core_m1014")
				    		.setRegistryName(mod.MOD_ID, "core_m1014").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1014;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1014;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_m1014;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m1014);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1014;
		    	gun.doll_core = mod.core_m1014;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_aa12	= new ItemDollGun_AR().setUnlocalizedName("dollgun_aa12")
					.setRegistryName(mod.MOD_ID, "dollgun_aa12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aa12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/aa12.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/aa12.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_aa12;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_aa12);
		    {
				 mod.core_aa12	= new ItemDollCore(130, mod.dollgun_aa12,  null).setUnlocalizedName("core_aa12")
				    		.setRegistryName(mod.MOD_ID, "core_aa12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_aa12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aa12;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_aa12;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_aa12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aa12;
		    	gun.doll_core = mod.core_aa12;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_usas12	= new ItemDollGun_AR().setUnlocalizedName("dollgun_usas12")
					.setRegistryName(mod.MOD_ID, "dollgun_usas12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_usas12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/usas12.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/usas12.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_usas12;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_usas12);
		    {
				 mod.core_usas12	= new ItemDollCore(130, mod.dollgun_usas12,  null).setUnlocalizedName("core_usas12")
				    		.setRegistryName(mod.MOD_ID, "core_usas12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_usas12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_usas12;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_usas12;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_usas12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_usas12;
		    	gun.doll_core = mod.core_usas12;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1897	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1897")
					.setRegistryName(mod.MOD_ID, "dollgun_m1897").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1897;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/m1897.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/m1897.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1897;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1897);
		    {
				 mod.core_m1897	= new ItemDollCore(130, mod.dollgun_m1897,  null).setUnlocalizedName("core_m1897")
				    		.setRegistryName(mod.MOD_ID, "core_m1897").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1897;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1897;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_m1897;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m1897);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1897;
		    	gun.doll_core = mod.core_m1897;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_rmb93	= new ItemDollGun_SR().setUnlocalizedName("dollgun_rmb93")
					.setRegistryName(mod.MOD_ID, "dollgun_rmb93").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rmb93;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/rmb93.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/rmb93.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_rmb93;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_rmb93);
		    {
				 mod.core_rmb93	= new ItemDollCore(130, mod.dollgun_rmb93,  null).setUnlocalizedName("core_rmb93")
				    		.setRegistryName(mod.MOD_ID, "core_rmb93").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_rmb93;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rmb93;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_rmb93;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_rmb93);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rmb93;
		    	gun.doll_core = mod.core_rmb93;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_m590	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m590")
					.setRegistryName(mod.MOD_ID, "dollgun_m590").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m590;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/m590.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/m590.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m590;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m590);
		    {
				 mod.core_m590	= new ItemDollCore(130, mod.dollgun_m590,  null).setUnlocalizedName("core_m590")
				    		.setRegistryName(mod.MOD_ID, "core_m590").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m590;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m590;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_m590;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m590);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m590;
		    	gun.doll_core = mod.core_m590;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_six12	= new ItemDollGun_SR().setUnlocalizedName("dollgun_six12")
					.setRegistryName(mod.MOD_ID, "dollgun_six12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_six12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/six12.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/six12.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_six12;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_six12);
		    {
				 mod.core_six12	= new ItemDollCore(130, mod.dollgun_six12,  null).setUnlocalizedName("core_six12")
				    		.setRegistryName(mod.MOD_ID, "core_six12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_six12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_six12;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_six12;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_six12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_six12;
		    	gun.doll_core = mod.core_six12;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_am_ksg	= new ItemDollGun_SR().setUnlocalizedName("dollgun_am_ksg")
					.setRegistryName(mod.MOD_ID, "dollgun_am_ksg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_ksg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/am_ksg.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/am_ksg.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_am_ksg;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_am_ksg);
		    {
				 mod.core_am_ksg	= new ItemDollCore(130, mod.dollgun_am_ksg,  null).setUnlocalizedName("core_am_ksg")
				    		.setRegistryName(mod.MOD_ID, "core_am_ksg").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_am_ksg;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_ksg;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_am_ksg;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_am_ksg);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_ksg;
		    	gun.doll_core = mod.core_am_ksg;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_spas12	= new ItemDollGun_SR().setUnlocalizedName("dollgun_spas12")
					.setRegistryName(mod.MOD_ID, "dollgun_spas12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spas12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/spas12.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/spas12.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_spas12;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_spas12);
		    {
				 mod.core_spas12	= new ItemDollCore(130, mod.dollgun_spas12,  null).setUnlocalizedName("core_spas12")
				    		.setRegistryName(mod.MOD_ID, "core_spas12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_spas12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spas12;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_spas12;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_spas12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spas12;
		    	gun.doll_core = mod.core_spas12;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_sat8	= new ItemDollGun_SR().setUnlocalizedName("dollgun_sat8")
					.setRegistryName(mod.MOD_ID, "dollgun_sat8").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sat8;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/sat8.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/sat8.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sat8;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sat8);
		    {
				 mod.core_sat8	= new ItemDollCore(130, mod.dollgun_sat8,  null).setUnlocalizedName("core_sat8")
				    		.setRegistryName(mod.MOD_ID, "core_sat8").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sat8;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sat8;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_sat8;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_sat8);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sat8;
		    	gun.doll_core = mod.core_sat8;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_dp12	= new ItemDollGun_SR().setUnlocalizedName("dollgun_dp12")
					.setRegistryName(mod.MOD_ID, "dollgun_dp12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/sg/dp12.txt");
				LoadDollStatus.load(gun, mod, event, status, "sg/dp12.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_dp12;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_dp12);
		    {
				 mod.core_dp12	= new ItemDollCore(130, mod.dollgun_dp12,  null).setUnlocalizedName("core_dp12")
				    		.setRegistryName(mod.MOD_ID, "core_dp12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_dp12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp12;
					 core.craft_time = gun.doll_crafttime;
					 mod.sg_rare[mod.sg_id] = gun.doll_rare;
					 mod.sg_item[mod.sg_id] = mod.core_dp12;
					 ++mod.sg_id;
				 }
				    
				    event.getRegistry().register(mod.core_dp12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp12;
		    	gun.doll_core = mod.core_dp12;
		    }
		}bar.step("gun load");//end
		
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
